
%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%global golang_version 1.20.12
%global _buildhost build-ol%{?oraclelinux}-%{?_arch}.oracle.com

Name: kata-agent
Version: 1.12.1
Release: 11%{?dist}
#   0.20210113.git942bda8
Vendor:  Oracle America
Summary: Kata Containers Agent
Group:   Development/Tools
License: Apache-2.0

Source0: %{name}-%{version}.tar.bz2
BuildRequires: golang >= %{golang_version}
BuildRequires: pkgconfig(systemd)
BuildRequires: libudev-devel

%description
Kata Containers Agent.
Only to be included as part of kata-image.
Do not install on host systems.

%prep
%setup -q

%build
export GO111MODULE=auto
export LANG=C
export GOPATH="${PWD}/gopath/"
mkdir -p "${GOPATH}/src/github.com/kata-containers/"
ln -sf "${PWD}" "${GOPATH}/src/github.com/kata-containers/agent"
cd "${GOPATH}/src/github.com/kata-containers/agent"
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%defattr(-,root,root,-)
/usr/bin/kata-agent
/usr/lib/systemd/system/kata-agent.service
/usr/lib/systemd/system/kata-containers.target

%changelog
* Wed Dec 21 2023 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.12.1-11
- Rebuild with -11 tag

* Tue Dec 13 2023 Prasad Shirodkar <prasad.shirodkar@oracle.com> - 1.12.1-10
- Updated Golang to 1.20.12 to address CVE CVE-2023-39326

* Thu Nov 2 2023 Guoyong Zhang <guoyong.zhang@oracle.com> - 1.12.1-9
- Updated to address CVE-2023-44487 and CVE-2023-39325

* Thu Aug 24 2023 Murali Annamneni <murali.annamneni@oracle.com> - 1.12.1-8
- Remove build_date global variable in kata-image specfile

* Thu Aug 03 2023 Murali Annamneni <murali.annamneni@oracle.com> - 1.12.1-7
- Add support for ARM build

* Wed May 31 2023  Michael Thompson <michael.a.thompson@oracle.com> - 1.12.1-6
- Add OL9 support

* Mon Apr 25 2022 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 1.12.1-4
- Updated THIRD_PARTY_LICENSES.txt generated using pls attribution-helper

* Mon Nov 22 2021 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 1.12.1-3
- updated golang version
- added buildhost variable

* Tue Mar 23 2021 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.12.1-2
- Golang 1.15.9

* Fri Jan 15 2021 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.12.1-1
- Added Oracle Specific Build Files for kata-agent
